org.apache.solr.handler.admin

## Class LukeRequestHandler

- java.lang.Object
- - org.apache.solr.handler.RequestHandlerBase
  - - org.apache.solr.handler.admin.LukeRequestHandler

- All Implemented Interfaces:
    SolrInfoMBean, NestedRequestHandler, SolrRequestHandler

      public class LukeRequestHandler
      extends RequestHandlerBase

  This handler exposes the internal lucene index. It is inspired by and modeled on Luke, the Lucene Index Browser by Andrzej Bialecki. http://www.getopt.org/luke/ For more documentation see: http://wiki.apache.org/solr/LukeRequestHandler
  Since:
    solr 1.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_COUNT`
    `static String` | `DOC_ID`
    `static String` | `ID`
    `static String` | `INCLUDE_INDEX_FIELD_FLAGS`
    `static String` | `NUMTERMS`

    - ### Fields inherited from class org.apache.solr.handler.RequestHandlerBase

      `appends, defaults, httpCaching, initArgs, invariants`

    - ### Fields inherited from interface org.apache.solr.request.SolrRequestHandler

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LukeRequestHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Simple one or two line description
    `URL[]` | `getDocs()` Documentation URL list.
    `static SimpleOrderedMap<String>` | `getFieldFlagsKey()`
    `static SimpleOrderedMap<Object>` | `getIndexInfo(DirectoryReader reader)`
    `void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`

    - ### Methods inherited from class org.apache.solr.handler.RequestHandlerBase

      `getCategory, getInitArgs, getName, getPluginInfo, getRequestHandler, getSolrParamsFromNamedList, getSource, getStatistics, getSubHandler, getVersion, handleRequest, init, setPluginInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NUMTERMS

          public static final String NUMTERMS

      See Also:
        Constant Field Values

    - #### INCLUDE_INDEX_FIELD_FLAGS

          public static final String INCLUDE_INDEX_FIELD_FLAGS

      See Also:
        Constant Field Values

    - #### DOC_ID

          public static final String DOC_ID

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### DEFAULT_COUNT

          public static final int DEFAULT_COUNT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LukeRequestHandler

          public LukeRequestHandler()

  - ### Method Detail

    - #### handleRequestBody

          public void handleRequestBody(SolrQueryRequest req,
                                        SolrQueryResponse rsp)
                                 throws Exception

      Specified by:
        `handleRequestBody` in class `RequestHandlerBase`
      Throws:
        `Exception`

    - #### getFieldFlagsKey

          public static SimpleOrderedMap<String> getFieldFlagsKey()

      Returns:
        a key to what each character means

    - #### getIndexInfo

          public static SimpleOrderedMap<Object> getIndexInfo(DirectoryReader reader)
                                                       throws IOException

      Throws:
        `IOException`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `RequestHandlerBase`

    - #### getDocs

          public URL[] getDocs()

      Description copied from interface: `SolrInfoMBean`
      Documentation URL list.

      Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

      Specified by:
        `getDocs` in interface `SolrInfoMBean`
      Overrides:
        `getDocs` in class `RequestHandlerBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.